
nav {
  background-color: #fff;
  position: fixed;
  width: 100%;
  z-index: 99;
  height: 70px;
  line-height: 70px;
  box-shadow: 0 2px 4px #42424226;
  z-index: 998
}

nav .wrapper {
  position: relative;
  padding: 0 30px;
  margin: auto;
  display: flex;
  height: 100%;
  justify-content: space-between;
  align-items: center;
}

.wrapper .logo, .wrapper .nav_links {
  display: flex;
  margin-bottom: 0
}

.wrapper .logo a img{
  width: 100px; 
  height: 33px; 
  vertical-align: middle;
}

.nav_links li a {
  color: #424242;
  text-decoration: none;
}

.nav_links li a {
  font-size: 15px;
  border-radius: 5px;
  padding: 9px 20px;
  -webkit-transition: all .3s cubic-bezier(.645,.045,.355,1);
  -moz-transition: all .3s cubic-bezier(.645,.045,.355,1);
  -ms-transition: all .3s cubic-bezier(.645,.045,.355,1);
  -o-transition: all .3s cubic-bezier(.645,.045,.355,1);
  transition: all .3s cubic-bezier(.645,.045,.355,1);
}

.nav_links li, .nav-landing li {
  list-style-type: none;
}
.nav_links li a:hover, .nav_links li.active a {
  color: #0072cf;
}
.nav_links li a.button-shop, .nav-landing li a.button-landing {
    padding: 11px 20px;
    margin: 0 8px 0 18px;
    background-color: #0072cf;
    color: #fff;
    border-radius: 5px;
    opacity: 1;
    -webkit-transition: all .3s cubic-bezier(.645,.045,.355,1);
    -moz-transition: all .3s cubic-bezier(.645,.045,.355,1);
    -ms-transition: all .3s cubic-bezier(.645,.045,.355,1);
    -o-transition: all .3s cubic-bezier(.645,.045,.355,1);
    transition: all .3s cubic-bezier(.645,.045,.355,1);
}

li.button-cart-mobile a.button-shop {
    padding: 12px 15px;
    margin: 0 15px;
    background-color: #0072cf;
    color: #fff;
    border-radius: 5px;
    opacity: 1;
    -webkit-transition: all .3s cubic-bezier(.645,.045,.355,1);
    -moz-transition: all .3s cubic-bezier(.645,.045,.355,1);
    -ms-transition: all .3s cubic-bezier(.645,.045,.355,1);
    -o-transition: all .3s cubic-bezier(.645,.045,.355,1);
    transition: all .3s cubic-bezier(.645,.045,.355,1);
}

.nav_links .mobile_item {
  display: none;
}

/**********************************
            Drop Down _             
*********************************** */

.nav_links .drop_menu {
  position: absolute;
  top: 70px;
  width: 150px;
  line-height: 45px;
  background-color: #fff;
  opacity: 0;
  visibility: hidden;
  -webkit-transition: all .3s cubic-bezier(.645,.045,.355,1);
  -moz-transition: all .3s cubic-bezier(.645,.045,.355,1);
  -ms-transition: all .3s cubic-bezier(.645,.045,.355,1);
  -o-transition: all .3s cubic-bezier(.645,.045,.355,1);
  transition: all .3s cubic-bezier(.645,.045,.355,1);
  box-shadow: 0 2px 3px #42424226;
  padding: 10px;
}
.nav_links li:hover .drop_menu,
.nav_links li:hover .mega_box {
  top: 69px;
  opacity: 1;
  visibility: visible;
}

.nav_links li.lang-selector img{
  max-width: 21px;
}

.nav_links li.lang-selector .drop_menu {
    padding: 0 15px 0 0;
    width: auto;
}

.nav_links li.lang-selector .drop_menu a img{
  padding-right: 2px;
  margin-top: -2px
}

.drop_menu li a {
  width: 100%;
  display: block;
  padding: 0 0 0 15px;
  font-weight: 400;
  border-radius: 0px;
}


/**********************************
              Mega Menu             
*********************************** */

.arrow-megamenu{
  display: inline-block;
  padding-left: 3px;
  padding-right: 10px
}

.nav_links li .arrow-megamenu i.fa{
  display: inline-block;
  position: absolute;
  top: 24px;
  transform: rotate(0deg);
  -webkit-transition: all .3s cubic-bezier(.645,.045,.355,1);
  -moz-transition: all .3s cubic-bezier(.645,.045,.355,1);
  -ms-transition: all .3s cubic-bezier(.645,.045,.355,1);
  -o-transition: all .3s cubic-bezier(.645,.045,.355,1);
  transition: all .3s cubic-bezier(.645,.045,.355,1);
}
.nav_links li:hover .arrow-megamenu i.fa{
  top: 31px;
  transform: rotate(180deg);
  -webkit-transition: all .3s cubic-bezier(.645,.045,.355,1);
  -moz-transition: all .3s cubic-bezier(.645,.045,.355,1);
  -ms-transition: all .3s cubic-bezier(.645,.045,.355,1);
  -o-transition: all .3s cubic-bezier(.645,.045,.355,1);
  transition: all .3s cubic-bezier(.645,.045,.355,1);
}

.mega_box {
  position: absolute;
  top: 55px;
  left: 0;
  width: 100%;
  //padding: 0 30px;
  opacity: 0;
  visibility: hidden;
  box-shadow: 0 2px 3px #42424226;
  -webkit-transition: all .3s cubic-bezier(.645,.045,.355,1);
  -moz-transition: all .3s cubic-bezier(.645,.045,.355,1);
  -ms-transition: all .3s cubic-bezier(.645,.045,.355,1);
  -o-transition: all .3s cubic-bezier(.645,.045,.355,1);
  transition: all .3s cubic-bezier(.645,.045,.355,1);
}

.mega_box .content {
  background-color: #fff;
  padding: 0px 20px 25px;
  width: 100%;
  display: flex;
  justify-content: space-between;
}
.mega_box .content .row {
  width: calc(25% - 30px);
  line-height: 45px;
}

.mega_box .content .row h4 {
  //font-family: 'ProximaNova-Bold';
  font-size: 14px;
}

.mega_box .content .row a{
	padding: 0
}

.mega_box .content .row img{
	max-width: 110px
}

/*.mega_box .content .row .services_img {
  background-image: url(https://i.pinimg.com/originals/cc/21/4a/cc214a8fc4c81b090c84811ddcfa791c.jpg);
  background-color: #d9d9d9;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  width: 100%;
  height: 100%;
  border-radius: 5px;
}*/

.mega_box .content .row .mega_links {
  margin-left: -40px;
  border-left: 1px solid rgba(255, 255, 255, 0.09);
}
.mega_box .content .row .first_links {
  border-left: 0px;
}

.row .mega_links li {
  padding: 0 20px;
}
.row .mega_links li a {
  padding: 0 20px;
  color: #d9d9d9;
  font-size: 17px;
  line-height: 45px;
  display: block;
}

/* buttons style */

.wrapper .btn {
  color: #424242;
  font-size: 20px;
  cursor: pointer;
  display: none;
  padding: 12px 14px;
  line-height: 1
}
.wrapper .btn.cancel_btn {
  position: absolute;
  top: 11px;
  right: 7px;
}

/**********************************
          Responsive Styles             
*********************************** */

@media screen and (max-width: 1280px) {
  nav .wrapper {
  	padding: 0 5px 0 20px;
  }
  .wrapper .btn {
    display: block;
  }
  .wrapper .nav_links {
    position: fixed;
    height: 100vh;
    width: 100%;
    max-width: 350px;
    background: #fff;
    display: block;
    top: 0;
    right: 0;
    right: -100%;
    overflow-y: auto;
    line-height: 50px;
    padding: 50px 10px;
    box-shadow: 0 15px 15px rgba(0, 0, 0, 0.15);
    -webkit-transition: all .3s cubic-bezier(.645,.045,.355,1);
    -moz-transition: all .3s cubic-bezier(.645,.045,.355,1);
    -ms-transition: all .3s cubic-bezier(.645,.045,.355,1);
    -o-transition: all .3s cubic-bezier(.645,.045,.355,1);
    transition: all .3s cubic-bezier(.645,.045,.355,1);
  }
  #menu_btn:checked ~ .nav_links {
    right: 0%;
  }
  #menu_btn:checked ~ .btn.menu_btn {
    display: none;
  }
  .nav_links::-webkit-scrollbar {
    width: 0px;
  }
  .nav_links li {
    margin: 7px 10px;
  }
  .nav_links li a {
    padding: 0 20px;
    display: block;
    font-size: 20px;
  }
  .nav_links li a.button-shop{
  	padding: 0px 20px;
    display: inline-block;
  }

  /* drop down responsive */

  .nav_links .drop_menu {
    position: static;
    opacity: 1;
    visibility: visible;
    top: 70px;
    padding-left: 0px;
    width: 100%;
    max-height: 0px;
    overflow: hidden;
    box-shadow: none;
    border: 3px solid transparent;
    margin-top: -4px;
    border-radius: 0px 0 5px 5px;
  }

  #showDrop:checked ~ .drop_menu, #showDropLang:checked ~ .drop_menu {
    max-height: 100%;
    border: 3px solid #f7f7f7;
  }
  .nav_links .drop_menu li {
    margin: 0;
  }
  .nav_links .drop_menu li a {
    font-size: 18px;
    border-radius: 5px;
  }
  .nav_links .desktop_item {
    display: none;
  }
  .nav_links .mobile_item {
    display: block;
    font-size: 20px;
    color: #424242;
    font-weight: 500;
    padding: 0 0 0 20px;
    cursor: pointer;
    border-radius: 5px;
    -webkit-transition: all .3s cubic-bezier(.645,.045,.355,1);
    -moz-transition: all .3s cubic-bezier(.645,.045,.355,1);
    -ms-transition: all .3s cubic-bezier(.645,.045,.355,1);
    -o-transition: all .3s cubic-bezier(.645,.045,.355,1);
    transition: all .3s cubic-bezier(.645,.045,.355,1);
  }
  .nav_links .mobile_item:hover, #showDrop:checked ~ .mobile_item, #showDropLang:checked ~ .mobile_item, #showMega:checked ~ .mobile_item, #showMegaSolutions:checked ~ .mobile_item {
    background: #f7f7f7;
  }

  /* Mega menu responsive */
  .arrow-megamenu{
  	position: relative;
  	display: inline;
  	padding-left: 7px
  }
  .nav_links li .arrow-megamenu i.fa{
  	top: -2px
  }
  .nav_links li:hover .arrow-megamenu i.fa {
    top: -2px;
    transform: rotate(0deg);
  }
  #showDrop:checked ~ .mobile_item > .arrow-megamenu i.fa, #showDropLang:checked ~ .mobile_item > .arrow-megamenu i.fa, #showMega:checked ~ .mobile_item > .arrow-megamenu i.fa, #showMegaSolutions:checked ~ .mobile_item > .arrow-megamenu i.fa {
    top: 7px;
    transform: rotate(180deg);
    -webkit-transition: all .3s cubic-bezier(.645,.045,.355,1);
    -moz-transition: all .3s cubic-bezier(.645,.045,.355,1);
    -ms-transition: all .3s cubic-bezier(.645,.045,.355,1);
    -o-transition: all .3s cubic-bezier(.645,.045,.355,1);
    transition: all .3s cubic-bezier(.645,.045,.355,1);
  }

  .mega_box {
    position: static;
    top: 70px;
    width: 100%;
    padding: 0px;
    opacity: 1;
    max-height: 0px;
    visibility: visible;
    overflow: hidden;
    -webkit-transition: all .3s cubic-bezier(.645,.045,.355,1);
    -moz-transition: all .3s cubic-bezier(.645,.045,.355,1);
    -ms-transition: all .3s cubic-bezier(.645,.045,.355,1);
    -o-transition: all .3s cubic-bezier(.645,.045,.355,1);
    transition: all .3s cubic-bezier(.645,.045,.355,1);
    box-shadow: none;
    border: 3px solid transparent;
    margin-top: -4px;
    border-radius: 0px 0 5px 5px;
  }

  #showMega:checked ~ .mega_box, #showMegaSolutions:checked ~ .mega_box {
    max-height: 100%;
    border: 3px solid #f7f7f7;
  }

  #showMega:checked ~ .mega_box_shop, #showMegaSolutions:checked ~ .mega_box_shop {
    max-height: none;
    border: 3px solid #f7f7f7;
  }

  .mega_box .content {
    background-color: #fff;
    flex-direction: column;
    padding: 20px 20px 0 20px;
  }
  .mega_box .content .row {
    width: 100%;
    margin-bottom: 15px;
    border-top: 1px solid rgba(255, 255, 255, 0.08);
  }
  .mega_box .content .row:nth-child(1),
  .mega_box .content .row:nth-child(2) {
    border-top: 0px;
  }
  /*.content .row .services_img {
    height: 200px;
  }*/
  .mega_box .content .img_row {
    border-top: none !important;
  }
  .mega_box .content .row .mega_links {
    border-left: 0px;
    padding-left: 15px;
  }
  .row .mega_links li {
    margin: 0;
  }
  .mega_box .content .row header {
    font-size: 18px;
  }
}
.wrapper input, .wrapper-mobile-button {
  display: none;
}

a#button-buy.button-cart-mobile, a#button-buy.button-back-mobile{
  display: none;
  padding: 14px 15px;
  text-decoration: none;
  margin: 0 7px;
  background-color: #0072cf;
  color: #fff;
  border-radius: 3px;
  opacity: 1;
  -webkit-transition: all .5s cubic-bezier(.645,.045,.355,1);
  -moz-transition: all .5s cubic-bezier(.645,.045,.355,1);
  -ms-transition: all .5s cubic-bezier(.645,.045,.355,1);
  -o-transition: all .5s cubic-bezier(.645,.045,.355,1);
  transition: all .5s cubic-bezier(.645,.045,.355,1);
}

a#button-buy.button-back-mobile{
  margin-right: 0
}

a:hover#button-buy.button-cart-mobile, a:hover#button-buy.button-back-mobile{
  background-color: #0fad21;
  cursor: pointer;
  -webkit-transition: all .5s cubic-bezier(.645,.045,.355,1);
  -moz-transition: all .5s cubic-bezier(.645,.045,.355,1);
  -ms-transition: all .5s cubic-bezier(.645,.045,.355,1);
  -o-transition: all .5s cubic-bezier(.645,.045,.355,1);
  transition: all .5s cubic-bezier(.645,.045,.355,1);
}

@media only screen and (max-width : 1280px) {
  a#button-buy.button-cart-mobile, a#button-buy.button-back-mobile{
    display: block;
  }

  div.wrapper-mobile-button{
    display: flex;
    align-items: center;
  }
}
